<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Meta Tags -->
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta content="width=device-width, initial-scale=1, shrink-to-fit=no" name="viewport">
    <!-- Author -->
    <meta name="author" content="{{$site_setting->title}}">
    <!-- Description -->
    <meta name="description"
          content="{{$site_setting->description}}">
    <meta name="keywords"
          content="{{$site_setting->keywords}}">
    <!-- Page Title -->
    <title>{{$site_setting->title}}</title>

    <!-- Open Graph / Facebook -->
    <meta property="og:type" content="website"/>
    <meta property="og:url" content="{{url('')}}"/>
    <meta property="og:title" content="{{$site_setting->title}}"/>
    <meta property="og:description" content="{{$site_setting->description}}"/>
    <meta property="og:image" content="{{Voyager::image($site_setting->header_logo)}}"/>

    <!-- Twitter -->
    <meta property="twitter:card" content="summary_large_image"/>
    <meta property="twitter:url" content="{{url('')}}"/>
    <meta property="twitter:title" content="{{$site_setting->title}}"/>
    <meta property="twitter:description" content="{{$site_setting->description}}"/>
    <meta property="twitter:image" content="{{Voyager::image($site_setting->header_logo)}}"/>


    @include('css')
    @stack('css')

</head>
<body>

@include('header')

<div id="smooth-wrapper">
    <div id="smooth-content">
        @yield('content')

        @include('footer')

    </div>
</div>
@include('js')
@stack('js')
</body>
</html>
