<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Validator;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    $site_setting = \App\Models\SiteSetting::first();
    return view('index', compact('site_setting'));
})->name('index');


Route::get('/about', function () {
    $site_setting = \App\Models\SiteSetting::first();
    return view('about', compact('site_setting'));
})->name('about');

Route::get('/service-details', function () {
    $site_setting = \App\Models\SiteSetting::first();
    return view('service-details', compact('site_setting'));
})->name('service-details');

Route::get('/recruitment', function () {
    $site_setting = \App\Models\SiteSetting::first();
    return view('recruitment', compact('site_setting'));
})->name('recruitment');

Route::get('/man-power', function () {
    $site_setting = \App\Models\SiteSetting::first();
    return view('man-power', compact('site_setting'));
})->name('man-power');

Route::get('/contact-us', function () {
    $site_setting = \App\Models\SiteSetting::first();
    return view('contact-us', compact('site_setting'));
})->name('contact-us');


Route::post('/contact-us', function (Request $request) {

    $validator = Validator::make($request->all(), [
        'name' => 'required|string|min:2|max:1000',
        'phone' => 'required|string',
        'email' => 'required|email',
        'text' => 'required|string|min:2'
    ]);

    if ($validator->fails()) {
        toastr()->error('Check your entered data!');
        return redirect()->back();
    }

    $cu = new \App\Models\Message();
    $cu->name = $request->get('name');
    $cu->phone = $request->get('phone');
    $cu->email = $request->get('email');
    $cu->text = $request->get('text');
    $cu->save();

    try {
        $msg = $cu->text;
        $to = '';
        $name = $cu->name;
        \Illuminate\Support\Facades\Mail::send('emails.contact-email', [
            'msg' => $msg,
            'name' => $name,
            'phone' => $cu->phone,
            'email' => $cu->email,
        ], function ($message) use ($to, $name) {
            $message->to($to, 'PRESS')->subject
            ('Rouaa | Contact Us');
            $message->from($to, $name);
        });
    } catch (\Exception $ex) {

    }

    toastr()->success('Message Sent!');
    return redirect()->back();
})->name("do-contact-us");

Route::get('logs', [\Rap2hpoutre\LaravelLogViewer\LogViewerController::class, 'index']);

Route::group(['prefix' => 'admin'], function () {
    Voyager::routes();
});
